Person
Create/Update Persons
This endpoint creates or updates multiple person records passed as a list in the request’s body.
POST
This API endpoint allows you to create or update multiple person records. The API will attempt to match these records with existing person records within the scope of the provided groups. If a match is found, the existing person record will be updated with the information provided. If no match is found, a new person record will be created and scoped to the provided groups. If no groups are provided, any updated or created person records will be scoped to all groups the logged in user has access to. If you do not have access to one of the groups you have provided, the endpoint will not attempt to match the person record against records in that group and any newly created persons will not be assigned to the group. You can provide either a group id via theDocumentation Index
Fetch the complete documentation index at: https://docs2.travtus.com/llms.txt
Use this file to discover all available pages before exploring further.
group_id parameter or a group external reference via the group_external_ref attribute.
If both are provided for any of the person records in ther request body, the request will not be successful.
Matching of the person records is done in the following order:
- By external reference. A person record will be updated if the provided
external_refin the request body is an exact match. - By email address (
email_address) or phone number (phone_number).
external_ref) or any combination of phone number (phone_number) or email address (email_address) AND first name (first_name) or (last_name).
For example:
Example Request
Example Request
Header
The authentication token for your request.
Body
A list of person entries to create or update.
Response
True if the person creation was successful, false otherwise.
A list of the persons that have been created or updated, along with their internal identifiers
Errors
Listed below are common errors that may be returned by the endpoint, along with their corresponding status code. Status Code - 400Missing Authorization header
Expired Authorization header bearer token value
Invalid Authorization header bearer token value
Both group ids and external refs provided for the person find operation

